⭐ If you find Zipline useful, please consider giving it a star on Github! ⭐

/api/users/{id}

Fetch a specific user by ID, including their profile and role (admin only).

GET/api/users/{id}

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://example.com/api/users/string"
{  "id": "string",  "username": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "role": "USER",  "view": {    "enabled": true,    "disableTextFiles": true,    "align": "left",    "showMimetype": true,    "showTags": true,    "showFolder": true,    "content": "string",    "embed": true,    "embedMediaOnly": true,    "embedTitle": "string",    "embedDescription": "string",    "embedColor": "string",    "embedSiteName": "string"  },  "quota": {    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "filesQuota": "BY_BYTES",    "maxBytes": "string",    "maxFiles": 0,    "maxUrls": 0,    "userId": "string"  },  "avatar": "string"}